Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162971 - g++ 4 internal compiler error: in dwarf2out_finish, at dwarf2out.c:13732
Summary: g++ 4 internal compiler error: in dwarf2out_finish, at dwarf2out.c:13732
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc4
Version: 4
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-11 21:55 UTC by D. Stimits
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-14 14:37:06 UTC


Attachments (Terms of Use)
ccqKF25A.out, which the compiler asked to send at time of internal failure (deleted)
2005-07-12 17:49 UTC, D. Stimits
no flags Details


Links
System ID Priority Status Summary Last Updated
GNU Compiler Collection 22489 None None None Never

Description D. Stimits 2005-07-11 21:55:22 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050511

Description of problem:
The system in question is SMP, running kernel 2.4.12.2, and fully updated.

Compile of some C++ code which works on FC3 (and also compiles fine on windows even!) dies with an internal compiler error:
CplUnix.cpp:13: internal compiler error: in dwarf2out_finish, at dwarf2out.c:13732
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/ccqKF25A.out file, please attach this to your bugreport.
make: *** [Debug/CplUnix.o] Error 1

Version-Release number of selected component (if applicable):
gcc-c++-4.0.0-8

How reproducible:
Always

Steps to Reproduce:
1.Compile particular code with g++ 4
  

Actual Results:  Failed compile with compiler error listed above.

Expected Results:  Clean compile with no errors or warnings...this code works on earlier compilers and FC distros.

Additional info:

I have the file of preprocessed code which the internal error requests, but it is too large to post here...over 10000 lines, to mouse copy and paste. Someone will need to send me their email address to send this to.

Comment 1 Jakub Jelinek 2005-07-12 14:05:36 UTC
Just bzip2 -9 it and attach here using the "Create a New Attachment" button.

Comment 2 D. Stimits 2005-07-12 17:49:03 UTC
Created attachment 116666 [details]
ccqKF25A.out, which the compiler asked to send at time of internal failure

This code make much use of templates.

Comment 3 Jakub Jelinek 2005-07-14 14:37:06 UTC
Tracking this upstream.


Comment 4 D. Stimits 2005-07-14 15:21:01 UTC
(In reply to comment #3)
> Tracking this upstream.
> 

Not sure what that means...is there some other place I can watch for a problem
solution or status?

Comment 5 Jakub Jelinek 2005-07-14 15:58:29 UTC
It means you should watch http://gcc.gnu.org/bugzilla/show_bug.cgi?id=22489
(see External Bugzilla References part of the bugzilla page here).



Note You need to log in before you can comment on or make changes to this bug.